﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Steema.TeeChart;
using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;
using Steema.TeeChart.Tools;

namespace SeriesVisibilityIssue
{
    public partial class frmSeriesVisibilityIssue : Form
    {
        public frmSeriesVisibilityIssue()
        {
            InitializeComponent();
            AddSeries();
            SetAxesProperties();
            tChart1.Legend.Visible = false;
        }

        private void SetAxesProperties()
        {
            tChart1.Axes.Bottom.MinimumOffset = 49;
            tChart1.Axes.Bottom.MaximumOffset = 50;
        }

        private void AddSeries()
        {
            // Line 1
            Line line1 = new Line();
            line1.Add(5, 0.002492077);
            line1.Add(5, 0.227579687);
            line1.LinePen.Width = 2;

            // Line 2 
            Line line2 = new Line();
            line2.Add(10, 0.029336786);
            line2.Add(10, 0.29596044);
            line2.LinePen.Width = 2;

            // Line 3
            Line line3 = new Line();
            line3.Add(15, 0.090840831);
            line3.Add(15, 0.362633501);
            line3.LinePen.Width = 2;

            // Line 4
            Line line4 = new Line();
            line4.Add(25, 0.169361657);
            line4.Add(25, 0.58975934);
            line4.LinePen.Width = 2;

            // Line 5
            Line line5 = new Line();
            line5.Add(40, 0.215984861);
            line5.Add(40, 0.884750192);
            line5.LinePen.Width = 2;

            // Line 6
            Line line6 = new Line();
            line6.Add(50, 0.24096423);
            line6.Add(50, 0.945613387);
            line6.LinePen.Width = 2;

            // Line 7
            Line line7 = new Line();
            line7.Add(60, 0.251726897);
            line7.Add(60, 0.972764242);
            line7.LinePen.Width = 2;

            tChart1.Series.Add(line1);
            tChart1.Series.Add(line2);
            tChart1.Series.Add(line3);
            tChart1.Series.Add(line4);
            tChart1.Series.Add(line5);
            tChart1.Series.Add(line6);
            tChart1.Series.Add(line7);
        }
    }
}
